NX Open C++ Reference Guide
Classes | Public Member Functions | List of all members
NXOpen::Routing::MiteredBendCornerCollection Class Reference

Represents a collection of NXOpen::Routing::MiteredBendCorner objects. More...

Inheritance diagram for NXOpen::Routing::MiteredBendCornerCollection:
NXOpen::TaggedObjectCollection

Classes

class  iterator
 Iterator for accessing the contents of the collection. More...
 

Public Member Functions

iterator begin ()
 Returns an iterator addressing the first element. More...
 
NXOpen::Routing::MiteredBendCornerCreateCorner (NXOpen::Routing::ControlPoint *rcp, double bendRadius, int numberOfMiters)
 Create a mitered bend corner object at a Control Point. More...
 
iterator end ()
 Returns an iterator addressing one past the last element. More...
 
NXOpen::Routing::BendCornerGetBendAssociatedToSegment (NXOpen::Routing::ISegment *segment)
 Enquire the Mitered Bend Corner that this segment represents. More...
 
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a collection of NXOpen::Routing::MiteredBendCorner objects.


To obtain an instance of this class, refer to NXOpen::Routing::RouteManager

Created in NX9.0.2.

Member Function Documentation

iterator NXOpen::Routing::MiteredBendCornerCollection::begin ( )

Returns an iterator addressing the first element.

NXOpen::Routing::MiteredBendCorner* NXOpen::Routing::MiteredBendCornerCollection::CreateCorner ( NXOpen::Routing::ControlPoint rcp,
double  bendRadius,
int  numberOfMiters 
)

Create a mitered bend corner object at a Control Point.

Returns
The new mitered bend corner.
Created in NX9.0.2.

License requirements : routing_base ("Routing Basic")
Parameters
rcprcp
bendRadiusRadius of bend corner arc, Must be greater than zero.
numberOfMitersnumber of miters
iterator NXOpen::Routing::MiteredBendCornerCollection::end ( )

Returns an iterator addressing one past the last element.

NXOpen::Routing::BendCorner* NXOpen::Routing::MiteredBendCornerCollection::GetBendAssociatedToSegment ( NXOpen::Routing::ISegment segment)

Enquire the Mitered Bend Corner that this segment represents.

(NULL can be returned, indicating that this segment does not represent a Bend Corner.)

Returns
Bend Corner that segment represents (NULL can be returned,indicating that segment does not represent a Bend Corner).
Created in NX9.0.2.

License requirements : routing_base ("Routing Basic")
Parameters
segmentSegment being queried for the Bend Corner it represents.
tag_t NXOpen::Routing::MiteredBendCornerCollection::Tag ( ) const

Returns the tag of this object.


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.